Imported Upstream version 3.42
[platform/upstream/iso-codes.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 am__make_dryrun = \
20   { \
21     am__dry=no; \
22     case $$MAKEFLAGS in \
23       *\\[\ \   ]*) \
24         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
25           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
26       *) \
27         for am__flg in $$MAKEFLAGS; do \
28           case $$am__flg in \
29             *=*|--*) ;; \
30             *n*) am__dry=yes; break;; \
31           esac; \
32         done;; \
33     esac; \
34     test $$am__dry = yes; \
35   }
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 subdir = .
53 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
54         $(srcdir)/Makefile.in $(srcdir)/iso-codes.pc.in \
55         $(top_srcdir)/configure ChangeLog INSTALL TODO install-sh \
56         missing
57 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
58 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
62  configure.lineno config.status.lineno
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_CLEAN_FILES = iso-codes.pc
65 CONFIG_CLEAN_VPATH_FILES =
66 SOURCES =
67 DIST_SOURCES =
68 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
69         html-recursive info-recursive install-data-recursive \
70         install-dvi-recursive install-exec-recursive \
71         install-html-recursive install-info-recursive \
72         install-pdf-recursive install-ps-recursive install-recursive \
73         installcheck-recursive installdirs-recursive pdf-recursive \
74         ps-recursive uninstall-recursive
75 am__can_run_installinfo = \
76   case $$AM_UPDATE_INFO_DIR in \
77     n|no|NO) false;; \
78     *) (install-info --version) >/dev/null 2>&1;; \
79   esac
80 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
81 am__vpath_adj = case $$p in \
82     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
83     *) f=$$p;; \
84   esac;
85 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
86 am__install_max = 40
87 am__nobase_strip_setup = \
88   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
89 am__nobase_strip = \
90   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
91 am__nobase_list = $(am__nobase_strip_setup); \
92   for p in $$list; do echo "$$p $$p"; done | \
93   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
94   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
95     if (++n[$$2] == $(am__install_max)) \
96       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
97     END { for (dir in files) print dir, files[dir] }'
98 am__base_list = \
99   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
100   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
101 am__uninstall_files_from_dir = { \
102   test -z "$$files" \
103     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
104     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
105          $(am__cd) "$$dir" && rm -f $$files; }; \
106   }
107 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
108 DATA = $(pkgconfig_DATA)
109 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
110   distclean-recursive maintainer-clean-recursive
111 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
112         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
113         distdir dist dist-all distcheck
114 ETAGS = etags
115 CTAGS = ctags
116 DIST_SUBDIRS = $(SUBDIRS)
117 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
118 distdir = $(PACKAGE)-$(VERSION)
119 top_distdir = $(distdir)
120 am__remove_distdir = \
121   if test -d "$(distdir)"; then \
122     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
123       && rm -rf "$(distdir)" \
124       || { sleep 5 && rm -rf "$(distdir)"; }; \
125   else :; fi
126 am__relativize = \
127   dir0=`pwd`; \
128   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
129   sed_rest='s,^[^/]*/*,,'; \
130   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
131   sed_butlast='s,/*[^/]*$$,,'; \
132   while test -n "$$dir1"; do \
133     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
134     if test "$$first" != "."; then \
135       if test "$$first" = ".."; then \
136         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
137         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
138       else \
139         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
140         if test "$$first2" = "$$first"; then \
141           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
142         else \
143           dir2="../$$dir2"; \
144         fi; \
145         dir0="$$dir0"/"$$first"; \
146       fi; \
147     fi; \
148     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
149   done; \
150   reldir="$$dir2"
151 GZIP_ENV = --best
152 DIST_ARCHIVES = $(distdir).tar.xz
153 distuninstallcheck_listfiles = find . -type f -print
154 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
155   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
156 distcleancheck_listfiles = find . -type f -print
157 ACLOCAL = @ACLOCAL@
158 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
159 AMTAR = @AMTAR@
160 AUTOCONF = @AUTOCONF@
161 AUTOHEADER = @AUTOHEADER@
162 AUTOMAKE = @AUTOMAKE@
163 AWK = @AWK@
164 CYGPATH_W = @CYGPATH_W@
165 DEFS = @DEFS@
166 DOMAINS = @DOMAINS@
167 ECHO_C = @ECHO_C@
168 ECHO_N = @ECHO_N@
169 ECHO_T = @ECHO_T@
170 INSTALL = @INSTALL@
171 INSTALL_DATA = @INSTALL_DATA@
172 INSTALL_PROGRAM = @INSTALL_PROGRAM@
173 INSTALL_SCRIPT = @INSTALL_SCRIPT@
174 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
175 LIBOBJS = @LIBOBJS@
176 LIBS = @LIBS@
177 LTLIBOBJS = @LTLIBOBJS@
178 MAINT = @MAINT@
179 MAKEINFO = @MAKEINFO@
180 MKDIR_P = @MKDIR_P@
181 MSGFMT = @MSGFMT@
182 MSGFMT_FLAGS = @MSGFMT_FLAGS@
183 MSGMERGE = @MSGMERGE@
184 PACKAGE = @PACKAGE@
185 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
186 PACKAGE_NAME = @PACKAGE_NAME@
187 PACKAGE_STRING = @PACKAGE_STRING@
188 PACKAGE_TARNAME = @PACKAGE_TARNAME@
189 PACKAGE_URL = @PACKAGE_URL@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
192 RECODE_SR_LATIN = @RECODE_SR_LATIN@
193 SET_MAKE = @SET_MAKE@
194 SHELL = @SHELL@
195 STRIP = @STRIP@
196 VERSION = @VERSION@
197 abs_builddir = @abs_builddir@
198 abs_srcdir = @abs_srcdir@
199 abs_top_builddir = @abs_top_builddir@
200 abs_top_srcdir = @abs_top_srcdir@
201 am__leading_dot = @am__leading_dot@
202 am__tar = @am__tar@
203 am__untar = @am__untar@
204 bindir = @bindir@
205 build_alias = @build_alias@
206 builddir = @builddir@
207 datadir = @datadir@
208 datarootdir = @datarootdir@
209 docdir = @docdir@
210 dvidir = @dvidir@
211 exec_prefix = @exec_prefix@
212 host_alias = @host_alias@
213 htmldir = @htmldir@
214 includedir = @includedir@
215 infodir = @infodir@
216 install_sh = @install_sh@
217 libdir = @libdir@
218 libexecdir = @libexecdir@
219 localedir = @localedir@
220 localstatedir = @localstatedir@
221 mandir = @mandir@
222 mkdir_p = @mkdir_p@
223 oldincludedir = @oldincludedir@
224 pdfdir = @pdfdir@
225 prefix = @prefix@
226 program_transform_name = @program_transform_name@
227 psdir = @psdir@
228 sbindir = @sbindir@
229 sharedstatedir = @sharedstatedir@
230 srcdir = @srcdir@
231 sysconfdir = @sysconfdir@
232 target_alias = @target_alias@
233 top_build_prefix = @top_build_prefix@
234 top_builddir = @top_builddir@
235 top_srcdir = @top_srcdir@
236 SUBDIRS = iso_15924 iso_3166 iso_3166_2 iso_4217 iso_639 iso_639_3
237 pkgconfigdir = $(datadir)/pkgconfig
238 pkgconfig_DATA = iso-codes.pc
239 EXTRA_DIST = \
240         LICENSE                 \
241         rules.make              \
242         iso2pot.py              \
243         check_valid_utf8.pl
244
245 DISTCLEANFILES = $(pkgconfig_DATA)
246 all: all-recursive
247
248 .SUFFIXES:
249 am--refresh: Makefile
250         @:
251 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
252         @for dep in $?; do \
253           case '$(am__configure_deps)' in \
254             *$$dep*) \
255               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
256               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
257                 && exit 0; \
258               exit 1;; \
259           esac; \
260         done; \
261         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
262         $(am__cd) $(top_srcdir) && \
263           $(AUTOMAKE) --foreign Makefile
264 .PRECIOUS: Makefile
265 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
266         @case '$?' in \
267           *config.status*) \
268             echo ' $(SHELL) ./config.status'; \
269             $(SHELL) ./config.status;; \
270           *) \
271             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
272             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
273         esac;
274
275 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
276         $(SHELL) ./config.status --recheck
277
278 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
279         $(am__cd) $(srcdir) && $(AUTOCONF)
280 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
281         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
282 $(am__aclocal_m4_deps):
283 iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
284         cd $(top_builddir) && $(SHELL) ./config.status $@
285 install-pkgconfigDATA: $(pkgconfig_DATA)
286         @$(NORMAL_INSTALL)
287         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
288         if test -n "$$list"; then \
289           echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
290           $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
291         fi; \
292         for p in $$list; do \
293           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
294           echo "$$d$$p"; \
295         done | $(am__base_list) | \
296         while read files; do \
297           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
298           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
299         done
300
301 uninstall-pkgconfigDATA:
302         @$(NORMAL_UNINSTALL)
303         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
304         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
305         dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
306
307 # This directory's subdirectories are mostly independent; you can cd
308 # into them and run `make' without going through this Makefile.
309 # To change the values of `make' variables: instead of editing Makefiles,
310 # (1) if the variable is set in `config.status', edit `config.status'
311 #     (which will cause the Makefiles to be regenerated when you run `make');
312 # (2) otherwise, pass the desired values on the `make' command line.
313 $(RECURSIVE_TARGETS):
314         @fail= failcom='exit 1'; \
315         for f in x $$MAKEFLAGS; do \
316           case $$f in \
317             *=* | --[!k]*);; \
318             *k*) failcom='fail=yes';; \
319           esac; \
320         done; \
321         dot_seen=no; \
322         target=`echo $@ | sed s/-recursive//`; \
323         list='$(SUBDIRS)'; for subdir in $$list; do \
324           echo "Making $$target in $$subdir"; \
325           if test "$$subdir" = "."; then \
326             dot_seen=yes; \
327             local_target="$$target-am"; \
328           else \
329             local_target="$$target"; \
330           fi; \
331           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
332           || eval $$failcom; \
333         done; \
334         if test "$$dot_seen" = "no"; then \
335           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
336         fi; test -z "$$fail"
337
338 $(RECURSIVE_CLEAN_TARGETS):
339         @fail= failcom='exit 1'; \
340         for f in x $$MAKEFLAGS; do \
341           case $$f in \
342             *=* | --[!k]*);; \
343             *k*) failcom='fail=yes';; \
344           esac; \
345         done; \
346         dot_seen=no; \
347         case "$@" in \
348           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
349           *) list='$(SUBDIRS)' ;; \
350         esac; \
351         rev=''; for subdir in $$list; do \
352           if test "$$subdir" = "."; then :; else \
353             rev="$$subdir $$rev"; \
354           fi; \
355         done; \
356         rev="$$rev ."; \
357         target=`echo $@ | sed s/-recursive//`; \
358         for subdir in $$rev; do \
359           echo "Making $$target in $$subdir"; \
360           if test "$$subdir" = "."; then \
361             local_target="$$target-am"; \
362           else \
363             local_target="$$target"; \
364           fi; \
365           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
366           || eval $$failcom; \
367         done && test -z "$$fail"
368 tags-recursive:
369         list='$(SUBDIRS)'; for subdir in $$list; do \
370           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
371         done
372 ctags-recursive:
373         list='$(SUBDIRS)'; for subdir in $$list; do \
374           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
375         done
376
377 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
378         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
379         unique=`for i in $$list; do \
380             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
381           done | \
382           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
383               END { if (nonempty) { for (i in files) print i; }; }'`; \
384         mkid -fID $$unique
385 tags: TAGS
386
387 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
388                 $(TAGS_FILES) $(LISP)
389         set x; \
390         here=`pwd`; \
391         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
392           include_option=--etags-include; \
393           empty_fix=.; \
394         else \
395           include_option=--include; \
396           empty_fix=; \
397         fi; \
398         list='$(SUBDIRS)'; for subdir in $$list; do \
399           if test "$$subdir" = .; then :; else \
400             test ! -f $$subdir/TAGS || \
401               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
402           fi; \
403         done; \
404         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
405         unique=`for i in $$list; do \
406             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
407           done | \
408           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
409               END { if (nonempty) { for (i in files) print i; }; }'`; \
410         shift; \
411         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
412           test -n "$$unique" || unique=$$empty_fix; \
413           if test $$# -gt 0; then \
414             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
415               "$$@" $$unique; \
416           else \
417             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
418               $$unique; \
419           fi; \
420         fi
421 ctags: CTAGS
422 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
423                 $(TAGS_FILES) $(LISP)
424         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
425         unique=`for i in $$list; do \
426             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
427           done | \
428           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
429               END { if (nonempty) { for (i in files) print i; }; }'`; \
430         test -z "$(CTAGS_ARGS)$$unique" \
431           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
432              $$unique
433
434 GTAGS:
435         here=`$(am__cd) $(top_builddir) && pwd` \
436           && $(am__cd) $(top_srcdir) \
437           && gtags -i $(GTAGS_ARGS) "$$here"
438
439 distclean-tags:
440         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
441
442 distdir: $(DISTFILES)
443         $(am__remove_distdir)
444         test -d "$(distdir)" || mkdir "$(distdir)"
445         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
446         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
447         list='$(DISTFILES)'; \
448           dist_files=`for file in $$list; do echo $$file; done | \
449           sed -e "s|^$$srcdirstrip/||;t" \
450               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
451         case $$dist_files in \
452           */*) $(MKDIR_P) `echo "$$dist_files" | \
453                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
454                            sort -u` ;; \
455         esac; \
456         for file in $$dist_files; do \
457           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
458           if test -d $$d/$$file; then \
459             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
460             if test -d "$(distdir)/$$file"; then \
461               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
462             fi; \
463             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
464               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
465               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
466             fi; \
467             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
468           else \
469             test -f "$(distdir)/$$file" \
470             || cp -p $$d/$$file "$(distdir)/$$file" \
471             || exit 1; \
472           fi; \
473         done
474         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
475           if test "$$subdir" = .; then :; else \
476             $(am__make_dryrun) \
477               || test -d "$(distdir)/$$subdir" \
478               || $(MKDIR_P) "$(distdir)/$$subdir" \
479               || exit 1; \
480             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
481             $(am__relativize); \
482             new_distdir=$$reldir; \
483             dir1=$$subdir; dir2="$(top_distdir)"; \
484             $(am__relativize); \
485             new_top_distdir=$$reldir; \
486             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
487             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
488             ($(am__cd) $$subdir && \
489               $(MAKE) $(AM_MAKEFLAGS) \
490                 top_distdir="$$new_top_distdir" \
491                 distdir="$$new_distdir" \
492                 am__remove_distdir=: \
493                 am__skip_length_check=: \
494                 am__skip_mode_fix=: \
495                 distdir) \
496               || exit 1; \
497           fi; \
498         done
499         -test -n "$(am__skip_mode_fix)" \
500         || find "$(distdir)" -type d ! -perm -755 \
501                 -exec chmod u+rwx,go+rx {} \; -o \
502           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
503           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
504           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
505         || chmod -R a+r "$(distdir)"
506 dist-gzip: distdir
507         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
508         $(am__remove_distdir)
509
510 dist-bzip2: distdir
511         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
512         $(am__remove_distdir)
513
514 dist-lzip: distdir
515         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
516         $(am__remove_distdir)
517
518 dist-lzma: distdir
519         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
520         $(am__remove_distdir)
521 dist-xz: distdir
522         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
523         $(am__remove_distdir)
524
525 dist-tarZ: distdir
526         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
527         $(am__remove_distdir)
528
529 dist-shar: distdir
530         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
531         $(am__remove_distdir)
532
533 dist-zip: distdir
534         -rm -f $(distdir).zip
535         zip -rq $(distdir).zip $(distdir)
536         $(am__remove_distdir)
537
538 dist dist-all: distdir
539         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
540         $(am__remove_distdir)
541
542 # This target untars the dist file and tries a VPATH configuration.  Then
543 # it guarantees that the distribution is self-contained by making another
544 # tarfile.
545 distcheck: dist
546         case '$(DIST_ARCHIVES)' in \
547         *.tar.gz*) \
548           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
549         *.tar.bz2*) \
550           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
551         *.tar.lzma*) \
552           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
553         *.tar.lz*) \
554           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
555         *.tar.xz*) \
556           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
557         *.tar.Z*) \
558           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
559         *.shar.gz*) \
560           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
561         *.zip*) \
562           unzip $(distdir).zip ;;\
563         esac
564         chmod -R a-w $(distdir); chmod u+w $(distdir)
565         mkdir $(distdir)/_build
566         mkdir $(distdir)/_inst
567         chmod a-w $(distdir)
568         test -d $(distdir)/_build || exit 0; \
569         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
570           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
571           && am__cwd=`pwd` \
572           && $(am__cd) $(distdir)/_build \
573           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
574             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
575             $(DISTCHECK_CONFIGURE_FLAGS) \
576           && $(MAKE) $(AM_MAKEFLAGS) \
577           && $(MAKE) $(AM_MAKEFLAGS) dvi \
578           && $(MAKE) $(AM_MAKEFLAGS) check \
579           && $(MAKE) $(AM_MAKEFLAGS) install \
580           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
581           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
582           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
583                 distuninstallcheck \
584           && chmod -R a-w "$$dc_install_base" \
585           && ({ \
586                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
587                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
588                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
589                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
590                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
591               } || { rm -rf "$$dc_destdir"; exit 1; }) \
592           && rm -rf "$$dc_destdir" \
593           && $(MAKE) $(AM_MAKEFLAGS) dist \
594           && rm -rf $(DIST_ARCHIVES) \
595           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
596           && cd "$$am__cwd" \
597           || exit 1
598         $(am__remove_distdir)
599         @(echo "$(distdir) archives ready for distribution: "; \
600           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
601           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
602 distuninstallcheck:
603         @test -n '$(distuninstallcheck_dir)' || { \
604           echo 'ERROR: trying to run $@ with an empty' \
605                '$$(distuninstallcheck_dir)' >&2; \
606           exit 1; \
607         }; \
608         $(am__cd) '$(distuninstallcheck_dir)' || { \
609           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
610           exit 1; \
611         }; \
612         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
613            || { echo "ERROR: files left after uninstall:" ; \
614                 if test -n "$(DESTDIR)"; then \
615                   echo "  (check DESTDIR support)"; \
616                 fi ; \
617                 $(distuninstallcheck_listfiles) ; \
618                 exit 1; } >&2
619 distcleancheck: distclean
620         @if test '$(srcdir)' = . ; then \
621           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
622           exit 1 ; \
623         fi
624         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
625           || { echo "ERROR: files left in build directory after distclean:" ; \
626                $(distcleancheck_listfiles) ; \
627                exit 1; } >&2
628 check-am: all-am
629 check: check-recursive
630 all-am: Makefile $(DATA)
631 installdirs: installdirs-recursive
632 installdirs-am:
633         for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
634           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
635         done
636 install: install-recursive
637 install-exec: install-exec-recursive
638 install-data: install-data-recursive
639 uninstall: uninstall-recursive
640
641 install-am: all-am
642         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
643
644 installcheck: installcheck-recursive
645 install-strip:
646         if test -z '$(STRIP)'; then \
647           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
648             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
649               install; \
650         else \
651           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
652             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
653             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
654         fi
655 mostlyclean-generic:
656
657 clean-generic:
658
659 distclean-generic:
660         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
661         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
662         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
663
664 maintainer-clean-generic:
665         @echo "This command is intended for maintainers to use"
666         @echo "it deletes files that may require special tools to rebuild."
667 clean: clean-recursive
668
669 clean-am: clean-generic mostlyclean-am
670
671 distclean: distclean-recursive
672         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
673         -rm -f Makefile
674 distclean-am: clean-am distclean-generic distclean-tags
675
676 dvi: dvi-recursive
677
678 dvi-am:
679
680 html: html-recursive
681
682 html-am:
683
684 info: info-recursive
685
686 info-am:
687
688 install-data-am: install-pkgconfigDATA
689
690 install-dvi: install-dvi-recursive
691
692 install-dvi-am:
693
694 install-exec-am:
695
696 install-html: install-html-recursive
697
698 install-html-am:
699
700 install-info: install-info-recursive
701
702 install-info-am:
703
704 install-man:
705
706 install-pdf: install-pdf-recursive
707
708 install-pdf-am:
709
710 install-ps: install-ps-recursive
711
712 install-ps-am:
713
714 installcheck-am:
715
716 maintainer-clean: maintainer-clean-recursive
717         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
718         -rm -rf $(top_srcdir)/autom4te.cache
719         -rm -f Makefile
720 maintainer-clean-am: distclean-am maintainer-clean-generic
721
722 mostlyclean: mostlyclean-recursive
723
724 mostlyclean-am: mostlyclean-generic
725
726 pdf: pdf-recursive
727
728 pdf-am:
729
730 ps: ps-recursive
731
732 ps-am:
733
734 uninstall-am: uninstall-pkgconfigDATA
735
736 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
737         install-am install-strip tags-recursive
738
739 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
740         all all-am am--refresh check check-am clean clean-generic \
741         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
742         dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
743         distcheck distclean distclean-generic distclean-tags \
744         distcleancheck distdir distuninstallcheck dvi dvi-am html \
745         html-am info info-am install install-am install-data \
746         install-data-am install-dvi install-dvi-am install-exec \
747         install-exec-am install-html install-html-am install-info \
748         install-info-am install-man install-pdf install-pdf-am \
749         install-pkgconfigDATA install-ps install-ps-am install-strip \
750         installcheck installcheck-am installdirs installdirs-am \
751         maintainer-clean maintainer-clean-generic mostlyclean \
752         mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
753         uninstall uninstall-am uninstall-pkgconfigDATA
754
755
756 .PHONY: release
757 release: update-po check distcheck
758
759 .PHONY: update-po
760 update-po:
761         for domain in $(SUBDIRS); do \
762                 cd $$domain && make update-po && cd ..; \
763         done
764
765 .PHONY: sign-release
766 sign-release: iso-codes-$(VERSION).tar.xz
767         rm -f iso-codes-$(VERSION).tar.xz.sig
768         gpg --detach-sign iso-codes-$(VERSION).tar.xz
769
770 .PHONY: upload
771 upload:
772         @if [[ -f "iso-codes-$(VERSION).tar.xz" ]] \
773         && [[ -f "iso-codes-$(VERSION).tar.xz.sig" ]]; then \
774                 scp iso-codes-$(VERSION).tar.* \
775                 alioth.debian.org:/srv/home/groups/pkg-isocodes/htdocs/downloads; \
776         fi
777
778 # Tell versions [3.59,3.63) of GNU make to not export all variables.
779 # Otherwise a system limit (for SysV at least) may be exceeded.
780 .NOEXPORT: